Loading...
Searching...
No Matches
Dune::Functions::InnerBasisNodeMixin< Node, Element > Class Template Reference

`#include <dune/functions/functionspacebases/nodes.hh>`

Inheritance diagram for Dune::Functions::InnerBasisNodeMixin< Node, Element >:

## Public Types

using | size_type = std::size_t

## Public Member Functions

void | bind (const Element &entity)
size_type | localIndex (size_type i) const
size_type | size () const
| Obtain the number of basis function in the local node.
bool | empty () const
| Check if the node is empty.
size_type | treeIndex () const

## Protected Member Functions

size_type | offset () const
void | setOffset (const size_type offset)
void | setSize (const size_type size)
void | setTreeIndex (size_type treeIndex)

## Member Typedef Documentation

## size_type

using Dune::Functions::BasisNodeMixin::size_type = std::size_t

inherited

## Member Function Documentation

## bind()

template<typename Node, typename Element>

void Dune::Functions::InnerBasisNodeMixin< Node, Element >::bind | ( | const Element & | entity | ) |

inline

## empty()

bool Dune::Functions::BasisNodeMixin::empty | ( |  | ) | const

inline inherited

Check if the node is empty.

This is equivalent to size()==0. Notice that it is undefined behaviour to access the element() and finiteElement() methods of the node if it is empty, i.e., if its size is zero.

## localIndex()

size_type Dune::Functions::BasisNodeMixin::localIndex | ( | size_type | i | ) | const

inline inherited

## offset()

size_type Dune::Functions::BasisNodeMixin::offset | ( |  | ) | const

inline protected inherited

## setOffset()

void Dune::Functions::BasisNodeMixin::setOffset | ( | const size_type | offset | ) |

inline protected inherited

## setSize()

void Dune::Functions::BasisNodeMixin::setSize | ( | const size_type | size | ) |

inline protected inherited

## setTreeIndex()

void Dune::Functions::BasisNodeMixin::setTreeIndex | ( | size_type | treeIndex | ) |

inline protected inherited

## size()

size_type Dune::Functions::BasisNodeMixin::size | ( |  | ) | const

inline inherited

Obtain the number of basis function in the local node.

Notice that it is undefined behaviour to access the element() and finiteElement() methods of the node if it is empty, i.e., if its size is zero.

## treeIndex()

size_type Dune::Functions::BasisNodeMixin::treeIndex | ( |  | ) | const

inline inherited

The documentation for this class was generated from the following file:

- nodes.hh